//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using Newtonsoft.Json;

namespace PayPal.Api
{
    /// <summary>
    /// The details of a billing agreement.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public class AgreementDetails : PayPalSerializableObject
    {
        /// <summary>
        /// The outstanding balance for this agreement.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "outstanding_balance")]
        public Currency outstanding_balance { get; set; }

        /// <summary>
        /// Number of cycles remaining for this agreement.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "cycles_remaining")]
        public string cycles_remaining { get; set; }

        /// <summary>
        /// Number of cycles completed for this agreement.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "cycles_completed")]
        public string cycles_completed { get; set; }

        /// <summary>
        /// The next billing date for this agreement, represented as 2014-02-19T10:00:00Z format.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "next_billing_date")]
        public string next_billing_date { get; set; }

        /// <summary>
        /// Last payment date for this agreement, represented as 2014-06-09T09:42:31Z format.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "last_payment_date")]
        public string last_payment_date { get; set; }

        /// <summary>
        /// Last payment amount for this agreement.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "last_payment_amount")]
        public Currency last_payment_amount { get; set; }

        /// <summary>
        /// Last payment date for this agreement, represented as 2015-02-19T10:00:00Z format.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "final_payment_date")]
        public string final_payment_date { get; set; }

        /// <summary>
        /// Total number of failed payments for this agreement.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "failed_payment_count")]
        public string failed_payment_count { get; set; }
    }
}
