//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using Newtonsoft.Json;

namespace PayPal.Api
{
    /// <summary>
    /// A resource patch object used to update a REST API resource object.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public class Patch : PayPalSerializableObject
    {
        /// <summary>
        /// Patch operation to perform. Value required for add &amp; remove operation can be any JSON value.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "op")]
        public string op { get; set; }

        /// <summary>
        /// string containing a JSON-Pointer value that references a location within the target document (the target location) where the operation is performed.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "path")]
        public string path { get; set; }

        /// <summary>
        /// New value to apply based on the operation.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "value")]
        public object value { get; set; }

        /// <summary>
        /// A string containing a JSON Pointer value that references the location in the target document to move the value from.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "from")]
        public string from { get; set; }
    }
}
